#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-3GNJk01OHPAy0L5YyTtjy
key:                  tree-diff-0.3.0.1-3GNJk01OHPAy0L5YyTtjy
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  37d3065fd0d301e243bff3c3ae18388c
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-3GNJk01OHPAy0L5YyTtjy
depends:
    QuickCheck-2.14.3-7Nm4RdcnIaF3PAx9qYfVYI
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et
    ansi-terminal-0.11.5-K77BWGzcnRu5cl8BC2Qru5
    ansi-wl-pprint-0.6.9-CM3y8w0vntXLN16eNUO4fY base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-Kg106gOHtOm7L7LpfbwY9g
    deepseq-1.4.6.1 hashable-1.4.4.0-ICSz42nbRK83wekmmcsSsd
    parsec-3.1.15.0 parsers-0.12.11-KSqi79p3FreI4rG3C88SOn
    pretty-1.1.3.6 primitive-0.7.4.0-7gaoyIhjpev9EXRLwNkGgT
    scientific-0.3.7.0-D1DD1zIlC2X8n3NjkdptHx
    semialign-1.2.0.1-Kw23mka2xPzGhLqmH9wi9z
    strict-0.4.0.1-6HsNDtN0rg7GWmN5pZ2J1k
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.1.1.1-5l3afIuNTrD420CX94mIQw time-1.11.1.1
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc
    uuid-types-1.0.5.1-GrA7Cj71mkZ5ZAODGgQuPF
    vector-0.13.1.0-E5qWEg2Mbs4GWxzttKkYkQ

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

